package riomhaire.lti.core.model.configuration;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * This class contains the model for variables need manage the tool itself - keys, secrets, urls etc
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ToolConfiguration {
    private JWKKey[] jwkKeys;

    public JWKKey[] getJwkKeys() {
        return jwkKeys;
    }

    public void setJwkKeys(JWKKey[] jwkKeys) {
        this.jwkKeys = jwkKeys;
    }
}
